com.gisgraphy.webapp.action

## Class ResetImportAction

- java.lang.Object
- - com.opensymphony.xwork2.ActionSupport
  - - com.gisgraphy.webapp.action.ResetImportAction

- All Implemented Interfaces:
    com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable

      public class ResetImportAction
      extends com.opensymphony.xwork2.ActionSupport

  Action that reset the import. SO USE THIS ACTION VERY CAREFULLY. The reset will be launched only if the confirm attribute in session is equals to true
  Author:
    David Masclet
  See Also:
    `ImporterManager`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ASK` view of the page that ask for confirmation
    `static String` | `IMPORT_IN_PROGRESS` view of page that gives information after the reset
    `static String` | `RESET` view of page that gives information after the reset

    - ### Fields inherited from class com.opensymphony.xwork2.ActionSupport

      `LOG`

    - ### Fields inherited from interface com.opensymphony.xwork2.Action

      `ERROR, INPUT, LOGIN, NONE, SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResetImportAction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `confirm()` set the RESET_IMPORT_CONFIRM in session to true
    `String` | `execute()`
    `List<String>` | `getErrorsAndWarningMessages()`
    `String` | `getFailedMessage()`
    `boolean` | `isConfirmed()`
    `boolean` | `isResetFailed()`
    `String` | `reset()` reset the import, only if RESET_IMPORT_CONFIRM is equals to true
    `void` | `setImporterManager(IImporterManager importerManager)`
    `void` | `unconfirm()` remove the RESET_IMPORT_CONFIRM of the session

    - ### Methods inherited from class com.opensymphony.xwork2.ActionSupport

      `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ASK

          public static String ASK

      view of the page that ask for confirmation

    - #### RESET

          public static String RESET

      view of page that gives information after the reset

    - #### IMPORT_IN_PROGRESS

          public static String IMPORT_IN_PROGRESS

      view of page that gives information after the reset

  - ### Constructor Detail

    - #### ResetImportAction

          public ResetImportAction()

  - ### Method Detail

    - #### execute

          public String execute()
                         throws Exception

      Specified by:
        `execute` in interface `com.opensymphony.xwork2.Action`
      Overrides:
        `execute` in class `com.opensymphony.xwork2.ActionSupport`
      Throws:
        `Exception`

    - #### reset

          public String reset()

      reset the import, only if RESET_IMPORT_CONFIRM is equals to true
      Returns:
        the reset view
      See Also:
        `confirm()`

    - #### isConfirmed

          public boolean isConfirmed()

    - #### confirm

          public String confirm()

      set the RESET_IMPORT_CONFIRM in session to true
      Returns:
        the reset view

    - #### unconfirm

          public void unconfirm()

      remove the RESET_IMPORT_CONFIRM of the session

    - #### setImporterManager

          public void setImporterManager(IImporterManager importerManager)

      Parameters:
        `importerManager` - the importerManager to set

    - #### getErrorsAndWarningMessages

          public List<String> getErrorsAndWarningMessages()

      Returns:
        the deletedObjectInfo

    - #### isResetFailed

          public boolean isResetFailed()

      Returns:
        true if the reset has failed

    - #### getFailedMessage

          public String getFailedMessage()

      Returns:
        the failedMessage

Copyright © 2015. All rights reserved.